Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class Task.CombinerRunner<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.Task.CombinerRunner<K,V>

Direct Known Subclasses:
  Task.NewCombinerRunner, Task.OldCombinerRunner

Enclosing class:
  Task

    protected abstract static class Task.CombinerRunner<K,V>

extends Object

Field Summary
`protected Counters.Counter` | `inputCounter`
`protected JobConf` | `job`
`protected Task.TaskReporter` | `reporter`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputCounter

    protected final Counters.Counter inputCounter

### job

    protected final JobConf job

### reporter

    protected final Task.TaskReporter reporter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation